#include <stdio.h>

int somaintervalo(int num1, int num2);

int main()
{
    int valor1, valor2, resultado;
    printf("Digite o primeiro valor: ");
    scanf("%d",&valor1);
    printf("Digite o segundo valor: ");
    do{
            scanf("%d",&valor2);
            if(valor1>=valor2)
                printf("O valor deve ser maior que %d. Digite novamente: ",valor1);
    }while(valor1>=valor2);
    resultado=somaintervalo(valor1, valor2);
    printf("\nA soma dos valores no intervalo de %d a %d e %d",valor1, valor2, resultado);
    return 0;
}

int somaintervalo(int num1, int num2)
{
    int resp=0,i;
    num1++;
    if(num1==num2)
        printf("\nNao existe nenhum numero entre estes valores!");
    else
    {
        for(i=num1;i<num2;i++)
        {
           printf("%d\t",i);
           resp+=i;
        }
    }

    return resp;
}
